#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  FLTK-1.4.2

- Next

  gdk-pixbuf-2.42.12

- Up
- Home

# Freeglut-3.6.0

## Introduction to Freeglut

Freeglut is intended to be a 100% compatible, completely opensourced clone of the GLUT library. GLUT is a window system independent toolkit for writing OpenGL programs, implementing a simple windowing API, which makes learning about and exploring OpenGL programming very easy.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/freeglut/freeglut-3.6.0.tar.gz

- Download MD5 sum: 1a1c4712b3100f49f5dea22a1ad57c34

- Download size: 420 KB

- Estimated disk space required: 5.2 MB

- Estimated build time: less than 0.1 SBU

### Freeglut Dependencies

#### Required

CMake-3.31.5 and Mesa-24.3.4

#### Recommended

GLU-9.0.3

## Installation of Freeglut

Install Freeglut by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr       \
          -D CMAKE_BUILD_TYPE=Release        \
          -D FREEGLUT_BUILD_DEMOS=OFF        \
          -D FREEGLUT_BUILD_STATIC_LIBS=OFF  \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D FREEGLUT_BUILD_DEMOS=OFF`: Disable building optional demo programs. Note that if you choose to build them, their installation must be done manually. The demo programs are limited and installation is not recommended.

`-D FREEGLUT_BUILD_STATIC_LIBS=OFF`: Do not build the static library.

## Contents

Installed Programs: None
Installed Library: libglut.so
Installed Directories: /usr/lib/cmake/FreeGLUT

### Short Descriptions

`libglut.so` | contains functions that implement the OpenGL Utility Toolkit

- Prev

  FLTK-1.4.2

- Next

  gdk-pixbuf-2.42.12

- Up
- Home